Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | List of all members
eZ\Publish\Core\FieldType\Validator\ImageValidator Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\Validator\ImageValidator:

## Public Member Functions
| validateConstraints ($constraints)
  | { Parameters
  mixed | $constraints |
Returns mixed } More...
| validate (Value $value)
  | {Perform validation on $value.Will return true when all constraints are matched. If one or more constraints fail, the method will return false.When a check against a constraint has failed, an entry will be added to the $errors array. Parameters
  \eZ\Publish\Core\FieldType\Value | $value |
Returns bool } More...
Public Member Functions inherited from eZ\Publish\Core\FieldType\Validator
| getConstraintsSchema ()
| Returns a schema for supported validator configurations. More...
| getMessage ()
| Returns array of messages on performed validations. More...
| initializeWithConstraints (array $constraints)
| Initialized an instance of Validator, with earlier configured constraints. More...
| __get ($name)
| Magic getter. More...
| __set ($name, $value)
| Magic setter. More...

## Private Member Functions
| innerValidate ($filePath)

## Additional Inherited Members
Protected Attributes inherited from eZ\Publish\Core\FieldType\Validator
| $errors = []
| $constraints = []
| $constraintsSchema = []

## Detailed Description

Definition at line 13 of file ImageValidator.php.

## Member Function Documentation

## ◆ innerValidate()

eZ\Publish\Core\FieldType\Validator\ImageValidator::innerValidate | ( |  | $filePath | ) |
| private

Definition at line 41 of file ImageValidator.php.

## ◆ validate()

eZ\Publish\Core\FieldType\Validator\ImageValidator::validate | ( | Value | $value | ) |

{Perform validation on $value.Will return true when all constraints are matched. If one or more constraints fail, the method will return false.When a check against a constraint has failed, an entry will be added to the $errors array.

Parameters

  \eZ\Publish\Core\FieldType\Value | $value |

Returns
  bool

}

Reimplemented from eZ\Publish\Core\FieldType\Validator.

Definition at line 26 of file ImageValidator.php.

## ◆ validateConstraints()

eZ\Publish\Core\FieldType\Validator\ImageValidator::validateConstraints | ( |  | $constraints | ) |

{

Parameters

  mixed | $constraints |

Returns
  mixed

}

Reimplemented from eZ\Publish\Core\FieldType\Validator.

Definition at line 18 of file ImageValidator.php.

The documentation for this class was generated from the following file:

- ImageValidator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.